# Class ZoneOffset

java.lang.Object
java.time.ZoneId
java.time.ZoneOffset

public final class ZoneOffset extends ZoneId

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ZoneOffset`
  `UTC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTotalSeconds()`
  `static ZoneOffset`
  `of(String offsetId)`
  `static ZoneOffset`
  `ofHours(int hours)`
  `static ZoneOffset`
  `ofHoursMinutes(int hours, int minutes)`
  `static ZoneOffset`
  `ofTotalSeconds(int totalSeconds)`

  ### Methods inherited from class ZoneId

  `equals, getId, hashCode, systemDefault, toString`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getId()`
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `static ZoneId`
  `systemDefault()`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Field Details

  - ### UTC

    public static final ZoneOffset UTC

- ## Method Details

  - ### of

    public static ZoneOffset of(String offsetId)

  - ### ofHours

    public static ZoneOffset ofHours(int hours)

  - ### ofHoursMinutes

    public static ZoneOffset ofHoursMinutes(int hours, int minutes)

  - ### ofTotalSeconds

    public static ZoneOffset ofTotalSeconds(int totalSeconds)

  - ### getTotalSeconds

    public int getTotalSeconds()